#! /usr/bin/perl
#
# Woclema - Weblog, Originally Command Line Editable/Manageable
# Copyright (C) 2006-2007 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


use strict;
use warnings FATAL => 'all';
use diagnostics;

use Woclema::Entry;


my $id = $ARGV[0];
my $enable = $ARGV[1] ? $ARGV[1] : 1;
print "enable: $enable\n";
my %entry = &Woclema::Entry::get($id, 1);

print "Title: $entry{'title'}\n";

print "Continue [y] / Cancel?\n";
$_ = <STDIN>;
exit(0) unless (/^y/i);

&Woclema::Entry::set_public($id, $enable);


exit(0);
